Bug 21774 - occasional deadlocks when executing an appclient
occasional deadlocks when executing an appclient
Status: CLOSED FIXED
Product: cnd
Classification: Unclassified
Component: Terminalemulator
3.x
PC Windows 3.1/NT
: P2 (vote)
: 6.x
Assigned To: akemr
ivan
: THREAD
: 21736 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-21 13:57 UTC by Jan Zajicek
Modified: 2008-12-23 08:13 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
OutputTabTerm.diff (785 bytes, patch)
2002-03-27 09:23 UTC, akemr
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Zajicek 2002-03-21 13:57:05 UTC
This issue was transfered from bugtraq (4654412). There is call from non awt
thread that causes this problem. If you want this to get fixed into FFJ40 FCS -
please add 3.3.2_CANDIDATE keyword:

 I cannot reproduce this consistently, but I see it on a regular basis.  It
looks like this happens before it gets to any appclient-specific code, so I
would think it could also happen during application deploy or execute.  I hit
F6, the output window comes up, the title on the Compiler tab says RI Instance,
and nothing else happens.

Full thread dump:



"exec_RI Instance 4_1" daemon prio=2 tid=0xfcaadb0 nid=0x204 waiting for monitor

 entry [0x1010f000..0x1010fdc0]

        at org.netbeans.core.windows.frames.DefaultContainerImpl.topComponents(D

efaultContainerImpl.java:539)

        at org.netbeans.core.windows.frames.DefaultContainerImpl.getTopComponent

s(DefaultContainerImpl.java:217)

        at org.netbeans.core.windows.frames.DefaultContainerImpl.getFocusedTopCo

mponent(DefaultContainerImpl.java:952)

        at org.netbeans.core.windows.frames.DefaultContainerImpl.eventDispatched

(DefaultContainerImpl.java:939)

        at java.awt.Toolkit$SelectiveAWTEventListener.eventDispatched(Toolkit.ja

va:1521)

        at java.awt.Toolkit$ToolkitEventMulticaster.eventDispatched(Toolkit.java

:1433)

        at java.awt.Toolkit$ToolkitEventMulticaster.eventDispatched(Toolkit.java

:1432)

        at java.awt.Toolkit$ToolkitEventMulticaster.eventDispatched(Toolkit.java

:1432)

        at java.awt.Toolkit.notifyAWTEventListeners(Toolkit.java:1390)

        at java.awt.Component.dispatchEventImpl(Component.java:2507)

        at java.awt.Container.dispatchEventImpl(Container.java:1213)

        at java.awt.Component.dispatchEvent(Component.java:2497)

        at java.awt.LightweightDispatcher.setFocusRequest(Container.java:2076)

        at java.awt.Container.proxyRequestFocus(Container.java:1335)

        at java.awt.Container.proxyRequestFocus(Container.java:1330)

        at java.awt.Container.proxyRequestFocus(Container.java:1330)

        at java.awt.Container.proxyRequestFocus(Container.java:1330)

        at java.awt.Container.proxyRequestFocus(Container.java:1330)

        at java.awt.Container.proxyRequestFocus(Container.java:1330)

        at java.awt.Container.proxyRequestFocus(Container.java:1330)

        at java.awt.Container.proxyRequestFocus(Container.java:1330)

        at java.awt.Component.requestFocus(Component.java:4174)

        at javax.swing.JComponent.grabFocus(JComponent.java:915)

        at javax.swing.JComponent.requestFocus(JComponent.java:897)

        at org.netbeans.core.output.OutputTabTerm$OutTermPane.requestFocus(Outpu

tTabTerm.java:1703)

        at org.netbeans.core.output.OutputTabTerm.requestFocus(OutputTabTerm.jav

a:315)

        at org.netbeans.core.output.OutputTabTerm.select(OutputTabTerm.java:345)



        at org.netbeans.core.execution.RunClassThread.run(RunClassThread.java:98

)



"org.netbeans.core.ModuleActions-1" daemon prio=2 tid=0xfc91630 nid=0x202 waitin

g on monitor [0xbbcf000..0xbbcfdc0]

        at java.lang.Object.wait(Native Method)

        at java.lang.Object.wait(Object.java:420)

        at org.netbeans.core.execution.ExecutionEngine.execute(ExecutionEngine.j

ava:172)

        at org.netbeans.modules.j2ee.impl.DefaultServerInstanceManager.createExe

cutorTask(DefaultServerInstanceManager.java:238)

        at org.netbeans.modules.j2ee.impl.DefaultServerInstanceManager$CopyMaker

ServerInstanceListener.go(DefaultServerInstanceManager.java:491)

        at org.netbeans.modules.j2ee.impl.DefaultServerInstanceManager$CopyMaker

ServerInstanceListener.deactivate(DefaultServerInstanceManager.java:482)

        at org.netbeans.modules.j2ee.impl.DefaultServerInstanceManager.startExec

ution(DefaultServerInstanceManager.java:162)

        at org.netbeans.modules.j2ee.impl.DefaultServerInstanceManager.serverIns

tanceStartExecution(DefaultServerInstanceManager.java:104)

        at org.netbeans.modules.j2ee.impl.DefaultExecPerformer.startExecution(De

faultExecPerformer.java:105)

        at org.netbeans.modules.j2ee.impl.ServerExecutor.execute(ServerExecutor.

java:74)

        at org.netbeans.modules.j2ee.impl.ServerExecutor.execute(ServerExecutor.

java:64)

        at org.netbeans.modules.j2ee.impl.ExecSupport.start(ExecSupport.java:125

)

        at org.netbeans.modules.j2ee.impl.ServerExecSupport.start(ServerExecSupp

ort.java:139)

        at org.openide.actions.ExecuteAction.execute(ExecuteAction.java:140)

        at org.openide.actions.ExecuteAction.execute(ExecuteAction.java:237)

        at org.openide.actions.ExecuteAction.performAction(ExecuteAction.java:10

2)

        at org.openide.util.actions.NodeAction.performAction(NodeAction.java:180

)

        at org.openide.util.actions.NodeAction.actionPerformed(NodeAction.java:1

71)

        at org.netbeans.core.ModuleActions$1.run(ModuleActions.java:105)

        at org.openide.util.Task.run(Task.java:152)

        at org.openide.util.RequestProcessor$ProcessorThread.run(RequestProcesso

r.java:622)



"OpenFile Server" daemon prio=2 tid=0xfc5a520 nid=0x1af runnable [0xe3cf000..0xe

3cfdc0]

        at java.net.PlainDatagramSocketImpl.peek(Native Method)

        at java.net.DatagramSocket.receive(DatagramSocket.java:354)

        at org.netbeans.modules.openfile.Server.run(Server.java:133)

        at java.lang.Thread.run(Thread.java:484)



"Java source parsing" daemon prio=2 tid=0xfc24900 nid=0x1c7 waiting on monitor [

0xb68f000..0xb68fdc0]

        at java.lang.Object.wait(Native Method)

        at org.openide.util.RequestProcessor$ProcessorThread.run(RequestProcesso

r.java:581)



"Folder Instance Processor" daemon prio=2 tid=0xa8a440 nid=0x1a5 waiting on moni

tor [0xfdff000..0xfdffdc0]

        at java.lang.Object.wait(Native Method)

        at org.openide.util.RequestProcessor$ProcessorThread.run(RequestProcesso

r.java:581)



"Automount" daemon prio=2 tid=0xa7abc0 nid=0x1a4 waiting on monitor [0xfbff000..

0xfbffdc0]

        at java.lang.Object.wait(Native Method)

        at org.openide.util.RequestProcessor$ProcessorThread.run(RequestProcesso

r.java:581)



"Thread-6" prio=5 tid=0xa73be0 nid=0x186 runnable [0xfaff000..0xfaffdc0]

        at java.net.PlainSocketImpl.socketAccept(Native Method)

        at java.net.PlainSocketImpl.accept(PlainSocketImpl.java:468)

        at java.net.ServerSocket.implAccept(ServerSocket.java:243)

        at java.net.ServerSocket.accept(ServerSocket.java:222)

        at org.netbeans.modules.web.monitor.client.PortServer.run(PortServer.jav

a:67)



"JarFs - modification watcher" daemon prio=2 tid=0xa72800 nid=0x1bc waiting on m

onitor [0xf9ff000..0xf9ffdc0]

        at java.lang.Object.wait(Native Method)

        at org.openide.util.RequestProcessor$ProcessorThread.run(RequestProcesso

r.java:581)



"Thread-5" prio=5 tid=0xa648a0 nid=0x179 waiting on monitor [0xf8ff000..0xf8ffdc

0]

        at java.lang.Object.wait(Native Method)

        at org.apache.tomcat.util.ThreadPool$MonitorRunnable.run(ThreadPool.java

:390)

        at java.lang.Thread.run(Thread.java:484)



"Thread-4" prio=5 tid=0xa63410 nid=0x1ac runnable [0xf7ff000..0xf7ffdc0]

        at java.net.PlainSocketImpl.socketAccept(Native Method)

        at java.net.PlainSocketImpl.accept(PlainSocketImpl.java:468)

        at java.net.ServerSocket.implAccept(ServerSocket.java:243)

        at java.net.ServerSocket.accept(ServerSocket.java:222)

        at org.apache.tomcat.service.PoolTcpEndpoint.acceptSocket(PoolTcpEndpoin

t.java:286)

        at org.apache.tomcat.service.TcpWorkerThread.runIt(PoolTcpEndpoint.java:

402)

        at org.apache.tomcat.util.ThreadPool$ControlRunnable.run(ThreadPool.java

:498)

        at java.lang.Thread.run(Thread.java:484)



"StandardManager" daemon prio=5 tid=0xa625f0 nid=0x1ce waiting on monitor [0xf2c

f000..0xf2cfdc0]

        at java.lang.Thread.sleep(Native Method)

        at org.apache.tomcat.session.StandardManager.threadSleep(StandardManager

.java:490)

        at org.apache.tomcat.session.StandardManager.run(StandardManager.java:54

7)

        at java.lang.Thread.run(Thread.java:484)



"Thread-3" daemon prio=5 tid=0xa5cc90 nid=0x1cd waiting on monitor [0xe9cf000..0

xe9cfdc0]

        at java.lang.Object.wait(Native Method)

        at java.lang.Object.wait(Object.java:420)

        at org.apache.tomcat.util.Queue.pull(Queue.java:89)

        at org.apache.tomcat.logging.LogDaemon$1.run(TomcatLogger.java:238)

        at org.apache.tomcat.logging.LogDaemon.run(TomcatLogger.java:254)



"Instance processor" daemon prio=2 tid=0xa59e90 nid=0x1cb waiting on monitor [0x

e7cf000..0xe7cfdc0]

        at java.lang.Object.wait(Native Method)

        at org.openide.util.RequestProcessor$ProcessorThread.run(RequestProcesso

r.java:581)



"EntityCatalog/parser" daemon prio=2 tid=0xa2fcc0 nid=0x1ca waiting on monitor [

0xe6cf000..0xe6cfdc0]

        at java.lang.Object.wait(Native Method)

        at org.openide.util.RequestProcessor$ProcessorThread.run(RequestProcesso

r.java:581)



"Folder recognizer" daemon prio=2 tid=0xa23d70 nid=0x1c9 waiting on monitor [0xe

5cf000..0xe5cfdc0]

        at java.lang.Object.wait(Native Method)

        at org.openide.util.RequestProcessor$ProcessorThread.run(RequestProcesso

r.java:581)



"TimerQueue" daemon prio=5 tid=0xa0e140 nid=0x1c8 waiting on monitor [0xe4cf000.

.0xe4cfdc0]

        at java.lang.Object.wait(Native Method)

        at javax.swing.TimerQueue.run(TimerQueue.java:233)

        at java.lang.Thread.run(Thread.java:484)



"Thread-1" daemon prio=5 tid=0x9c9b60 nid=0x1c5 waiting on monitor [0xde9f000..0

xde9fdc0]

        at java.lang.Object.wait(Native Method)

        at java.lang.Object.wait(Object.java:420)

        at org.netbeans.core.modules.ChangeFirer.run(ChangeFirer.java:94)



"OpenIDE Request Processor-0" daemon prio=2 tid=0x9c5a90 nid=0x1c4 waiting on mo

nitor [0xdd9f000..0xdd9fdc0]

        at java.lang.Object.wait(Native Method)

        at org.openide.util.RequestProcessor$ProcessorThread.run(RequestProcesso

r.java:581)



"Screen Updater" prio=5 tid=0x9bc750 nid=0x1bf waiting on monitor [0xbccf000..0x

bccfdc0]

        at java.lang.Object.wait(Native Method)

        at java.lang.Object.wait(Object.java:420)

        at sun.awt.ScreenUpdater.nextEntry(ScreenUpdater.java:76)

        at sun.awt.ScreenUpdater.run(ScreenUpdater.java:95)



"AWT-Windows" prio=7 tid=0x9b1870 nid=0x1b0 runnable [0xb98f000..0xb98fdc0]

        at sun.awt.windows.WToolkit.eventLoop(Native Method)

        at sun.awt.windows.WToolkit.run(WToolkit.java:188)

        at java.lang.Thread.run(Thread.java:484)



"SunToolkit.PostEventQueue-0" prio=7 tid=0x9b0420 nid=0x1be waiting on monitor [

0xb88f000..0xb88fdc0]

        at java.lang.Object.wait(Native Method)

        at java.lang.Object.wait(Object.java:420)

        at sun.awt.PostEventQueue.run(SunToolkit.java:491)



"AWT-EventQueue-0" prio=7 tid=0x9b0ae0 nid=0x1a3 waiting for monitor entry [0xb7

8f000..0xb78fdc0]

        at java.awt.Toolkit.notifyAWTEventListeners(Toolkit.java:1389)

        at java.awt.Component.dispatchEventImpl(Component.java:2507)

        at java.awt.Container.dispatchEventImpl(Container.java:1213)

        at java.awt.Component.dispatchEvent(Component.java:2497)

        at java.awt.LightweightDispatcher.setFocusRequest(Container.java:2104)

        at java.awt.Container.proxyRequestFocus(Container.java:1335)

        at java.awt.Container.proxyRequestFocus(Container.java:1330)

        at java.awt.Container.proxyRequestFocus(Container.java:1330)

        at java.awt.Container.proxyRequestFocus(Container.java:1330)

        at java.awt.Container.proxyRequestFocus(Container.java:1330)

        at java.awt.Container.proxyRequestFocus(Container.java:1330)

        at java.awt.Container.proxyRequestFocus(Container.java:1330)

        at java.awt.Container.proxyRequestFocus(Container.java:1330)

        at java.awt.Component.requestFocus(Component.java:4174)

        at javax.swing.JComponent.grabFocus(JComponent.java:915)

        at javax.swing.JComponent.requestFocus(JComponent.java:897)

        at org.netbeans.core.output.OutputTabTerm$OutTermPane.requestFocus(Outpu

tTabTerm.java:1703)

        at org.netbeans.core.output.OutputTabTerm.requestFocus(OutputTabTerm.jav

a:315)

        at org.netbeans.core.windows.frames.DefaultContainerImpl.reactivateSelec

tedComponent(DefaultContainerImpl.java:737)

        at org.netbeans.core.windows.frames.SplitContainerImpl.stateChanged(Spli

tContainerImpl.java:629)

        at javax.swing.JTabbedPane.fireStateChanged(JTabbedPane.java:234)

        at javax.swing.JTabbedPane$ModelListener.stateChanged(JTabbedPane.java:1

79)

        at javax.swing.DefaultSingleSelectionModel.fireStateChanged(DefaultSingl

eSelectionModel.java:99)

        at javax.swing.DefaultSingleSelectionModel.setSelectedIndex(DefaultSingl

eSelectionModel.java:51)

        at javax.swing.JTabbedPane.setSelectedIndex(JTabbedPane.java:349)

        at javax.swing.JTabbedPane.setSelectedComponent(JTabbedPane.java:399)

        at org.netbeans.core.windows.frames.SplitContainerImpl.componentSelected

(SplitContainerImpl.java:611)

        at org.netbeans.core.windows.frames.SplitContainerImpl.refreshAfterAddin

g(SplitContainerImpl.java:636)

        at org.netbeans.core.windows.frames.SplitContainerImpl.componentAdded(Sp

litContainerImpl.java:420)

        at org.netbeans.core.windows.frames.DefaultContainerImpl.addTopComponent

(DefaultContainerImpl.java:278)

        at org.netbeans.core.windows.ModeImpl.addToContainer(ModeImpl.java:1780)



        at org.netbeans.core.windows.ModeImpl.access$400(ModeImpl.java:77)

        at org.netbeans.core.windows.ModeImpl$1.performCommand(ModeImpl.java:396

)

        at org.netbeans.core.windows.DeferredPerformer.processCommand(DeferredPe

rformer.java:186)

        at org.netbeans.core.windows.DeferredPerformer.putRequest(DeferredPerfor

mer.java:83)

        at org.netbeans.core.windows.ModeImpl.dockInto(ModeImpl.java:377)

        at org.netbeans.core.windows.ModeImpl.dockInto(ModeImpl.java:357)

        at org.netbeans.core.windows.ModeImpl.dockInto(ModeImpl.java:345)

        at org.netbeans.core.windows.WindowManagerImpl$TopComponentManager.doOpe

n(WindowManagerImpl.java:1451)

        at org.netbeans.core.windows.WindowManagerImpl$TopComponentManager.acces

s$1100(WindowManagerImpl.java:1316)

        at org.netbeans.core.windows.WindowManagerImpl$4.run(WindowManagerImpl.j

ava:1412)

        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:154)

        at java.awt.EventQueue.dispatchEvent(EventQueue.java:337)

        at java.awt.EventDispatchThread.pumpOneEventForHierarchy(EventDispatchTh

read.java:131)

        at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThre

ad.java:98)

        at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:93)

        at java.awt.EventDispatchThread.run(EventDispatchThread.java:85)



"Signal Dispatcher" daemon prio=10 tid=0x99aa10 nid=0x1b9 waiting on monitor [0.

.0]



"Finalizer" daemon prio=9 tid=0x997c30 nid=0x1bb waiting on monitor [0xb18f000..

0xb18fdc0]

        at java.lang.Object.wait(Native Method)

        at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:108)

        at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:123)

        at java.lang.ref.Finalizer$FinalizerThread.run(Finalizer.java:162)



"Reference Handler" daemon prio=10 tid=0x996970 nid=0x1ba waiting on monitor [0x

b08f000..0xb08fdc0]

        at java.lang.Object.wait(Native Method)

        at java.lang.Object.wait(Object.java:420)

        at java.lang.ref.Reference$ReferenceHandler.run(Reference.java:110)



"main" prio=5 tid=0x992600 nid=0x1b2 waiting on monitor [0..0x12d150]



"VM Thread" prio=5 tid=0x995c20 nid=0x1bd runnable



"VM Periodic Task Thread" prio=10 tid=0x999e10 nid=0x1b7 waiting on monitor

"Suspend Checker Thread" prio=10 tid=0x999470 nid=0x1b8 runnable
Comment 1 _ ttran 2002-03-21 15:53:50 UTC
fix is easy, integrated into CVS trunk.  It's up to QA to decide if it
should be 3.3.2 candidate or not
Comment 2 Jan Zajicek 2002-03-21 15:58:04 UTC
*** Issue 21736 has been marked as a duplicate of this issue. ***
Comment 3 Jan Chalupa 2002-03-21 16:17:08 UTC
Marking as candidate for the next bugfix release.
Comment 4 akemr 2002-03-27 09:20:35 UTC
I'll attach diff in org.netbeans.core.output.OutputTabTerm.java

Comment 5 akemr 2002-03-27 09:23:41 UTC
Created attachment 5201 [details]
OutputTabTerm.diff
Comment 6 akemr 2002-03-28 09:53:54 UTC
integrated in orion_fcs
Comment 7 Jan Zajicek 2002-04-02 16:30:34 UTC
Marking as verified - didn't occur during full day testing of build
#020401_01.
Comment 8 Quality Engineering 2003-07-01 16:48:10 UTC
Resolved for 3.4.x or earlier, no new info since then -> closing.
Comment 9 Quality Engineering 2008-12-23 08:13:35 UTC
moving terminal emulator issues to terminalemulator component.
To see the correct version and target milestone of this issue look at Issue
Activity table.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo